> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/deng-lu-hou/tkun/tkunbaindingu.md).

# トークンバインディング

### 概要

トークンバインディングは、トークンリクエスタがTSPにリクエストを送信すると開始されます。

その後、イシュアのゲートウェイは **Request Device Binding** をイシュアのバックエンドに送信します。

VTSと比較すると、MDESはイシュアのバックエンドが判断を下すのに役立つ追加データを提供します：

* `scoringInformation`
  * このフィールドは、トークナイゼーションリクエストの場合と同じ意味を持ちます。
  * 判断を精緻化するために使用します。
* `recentAuthenticationInformation`
  * 最近のエンドユーザー認証が判断に影響すべき場合にこのフィールドを使用します。

{% hint style="warning" %}
MDESでは、 `deviceBindingReference` の **Request Device Binding** は最終参照ではありません。

MDESは最終的な `deviceBindingReference` のみを、カード所有者の確認後の成功通知で送信します。
{% endhint %}

以下のシーケンス図は、エンドツーエンドのフローを示しています。

...

イシュアが **step-up認証付き承認**を返した場合は、選択されたID\&V手法のセクションを使用してください。

{% hint style="info" %}
**情報**

イシュアが **Request Device Binding** に対してstep-up付き承認で応答したものの、対応するID\&V手法の一覧を提供しない場合、イシュアのゲートウェイはAPI **Get IDnV Method List** を使用してイシュアのバックエンドに問い合わせて取得します。

これを避けるには、判断がstep-upである場合は、ID\&V手法の一覧を体系的に返却してください。
{% endhint %}

すべてのやり取りが完了すると、イシュアのゲートウェイは **Notify Virtual Card Change** 通知を次の内容で送信します：

* `action` 実施された確認に対して：
  * `DEVICE_BOUND`
  * `DEVICE_UNBOUND`
* `deviceBindingReference`、これは一意のバインディング参照です（もちろん、バインドが成功した場合）。
* `authenticatorInfo`、これは、その後の取引でカード所有者を認証するために使用される手法の詳細を含みます。このデータは、支払い取引の承認リクエストにも送信されます。

### OTPで確認する

TSPがOTPを生成します。

イシュアのゲートウェイはこれを **Send OTP**を通じて、トークナイゼーションフローと同様に転送します。

使用します `otpMethodId` を使って選択された手法を識別し、正しいメッセージとチャネルを準備します。

以下のシーケンス図は、フローを示しています。

...

TSPはOTPを検証し、検証が成功すると関連当事者に通知します。

### イシュアアプリケーションで確認する

このフローでは、イシュアがイシュアアプリケーション内でエンドユーザーを確認します。

イシュアアプリケーションは2つの方法で起動できます。

#### トークンリクエスタアプリケーションから起動する

この方法は、トークン有効化に使用されるトークナイゼーションフローと一致します。

やり取りは [ウォレットとイシュアアプリケーションを統合する](/classic-tokenization/ja/ysuksu/kdo/fur/suteppu5-tkunwosuru/opushonc-ishuaapurikshondesuru/ishuanoapurikshonwoworettotosuru.md).

とも同じです。TSPは、トークンバインディングのコンテキストを識別するために、イシュアが解析しなければならない追加データも送信します：

* **Visa**
  * `deviceID`
  * `deviceIndex`
  * `lifeCycleTraceID`
  * `reasonCode` = `TOKEN_DEVICE_BINDING`
* **Mastercard**
  * `authenticationCorrelationId`

これらのフィールドは、トークナイゼーション後の確認に固有のものです。

#### プッシュメッセージで起動する

{% hint style="warning" %}
このオプションはMastercardでのみサポートされています。
{% endhint %}

イシュアはプッシュメッセージを通じてイシュアアプリケーションを起動します。

エンドユーザーがこの手法を選択した場合、イシュアのゲートウェイは手法IDを **Send OTP** を通じて、OTP値なしで送信します。

MDESはこのフロー用にOTPを生成しません。

使用します `otpMethodId` を使って手法を識別し、プッシュメッセージを生成します。

### 確認結果を報告する

起動方法にかかわらず、イシュアは結果をTSPに **Update Card State**.

を通じて報告しなければなりません。次の値を送信してください：

* `virtualCardId` =
  * Visa： `tokenReferenceID`
  * Mastercard： `tokenUniqueReference`
* `deviceBindingReference`
  * Visaの場合は `deviceIndex`
  * Mastercardの場合は `authenticationCorrelationId`
* `action`
  * `APPROVE_DEVICE_BINDING` カード所有者の確認が成功したとき
  * `UNBIND_DEVICE` カード所有者の確認が失敗したとき

以下のシーケンス図は、完全なフローを示しています。

...

{% hint style="warning" %}
トークンバインディングが成功した場合、イシュアは後からそのトークンとデバイスの紐付けを解除できます。

このオプションはVisaトークンでのみ利用可能です。

次を呼び出します **Update Card State** ：

* `virtualCardId` 対象のトークンIDに設定
* `deviceBindingReference` 保存されたバインディング参照に設定
* `action` に設定 `UNBIND_DEVICE`
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/ja/ysuksu/deng-lu-hou/tkun/tkunbaindingu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
